Package twisted :: Package internet :: Module interfaces :: Class IProducer

[frames | no frames]

## Class IProducer

    Interface --+
                |
               IProducer

Known Subclasses:
  `IPullProducer`, `IPushProducer`

A producer produces data for a consumer.

Typically producing is done by calling the write method of an object implementing `IConsumer`.

Method Summary
| ``stopProducing`(self)` Stop producing data.

Method Details

### stopProducing(self)

Stop producing data.

This tells a producer that its consumer has died, so it must stop producing data for good.

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net